%global pkgname radiroot

Name:           gap-pkg-%{pkgname}
Version:        2.7
Release:        2%{?dist}
Summary:        Compute radicals for roots of solvable rational polynomials

License:        GPL+
URL:            http://www.icm.tu-bs.de/ag_algebra/software/radiroot/
Source0:        http://www.icm.tu-bs.de/ag_algebra/software/radiroot/%{pkgname}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  gap-devel
BuildRequires:  gap-pkg-alnuth

Requires:       gap-core
Requires:       gap-pkg-alnuth
Requires(post): gap-core
Requires(postun): gap-core

%description
This package can compute and display an expression by radicals for the
roots of a solvable, rational polynomial.  Related to this it is
possible to create the Galois group and the splitting field of a
rational polynomial.

%prep
%setup -q -n %{pkgname}

%build
# Nothing to do

%install
mkdir -p %{buildroot}%{_gap_dir}/pkg
cp -a ../%{pkgname} %{buildroot}%{_gap_dir}/pkg
rm -f %{buildroot}%{_gap_dir}/pkg/%{pkgname}/{doc/make_doc,CHANGES,GPL,README}

%post -p %{_bindir}/update-gap-workspace

%postun -p %{_bindir}/update-gap-workspace

%check
gap -l "%{_gap_dir};%{buildroot}%{_gap_dir}" < tst/testall.g

%files
%doc CHANGES README
%license GPL
%docdir %{_gap_dir}/pkg/%{pkgname}/doc
%docdir %{_gap_dir}/pkg/%{pkgname}/htm
%{_gap_dir}/pkg/%{pkgname}/

%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Mar 26 2015 Jerry James <loganjerry@gmail.com> - 2.7-1
- Initial RPM (bz 1206367)
